# SPEC file for AdPlay, primary target is the Fedora Extras
# RPM repository.

Name:		adplay
Version:	1.6
Release:	6%{?dist}
Summary:	An AdLib (OPL2) music player build on AdPlug
URL:		http://adplug.sourceforge.net/
Group:		Applications/Multimedia
Source:		http://download.sourceforge.net/adplug/%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
License:	GPLv2+
BuildRequires:	adplug-devel
BuildRequires:	audiofile-devel
BuildRequires:	alsa-lib-devel
BuildRequires:	esound-devel

%description
AdPlay is a command-line player for AdLib (OPL2) music utilizing
the AdPlug library.

%prep
%setup -q

%build
# I intentionally disable OSS and SDL: Fedora installs ALSA by default
# and I don't want to pull in the entire SDL library for this. We
# also explicitly forbid the QNX QSA driver, it won't hurt.
%configure --disable-static --disable-output-oss --disable-output-sdl \
	--disable-output-qsa
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%{_bindir}/adplay
%{_mandir}/man1/*
%doc AUTHORS ChangeLog COPYING NEWS README TODO

%changelog
* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Feb 14 2008 Linus Walleij <triad@df.lth.se> 1.6-4
- Rebuild for GCC 4.3.

* Sat Jan 19 2008 Linus Walleij <triad@df.lth.se> 1.6-3
- Rebuild to match new glibc ABI.

* Fri Aug 17 2007 Linus Walleij <triad@df.lth.se> 1.6-2
- Fix license to GPLv2+

* Wed Apr 11 2007 Linus Walleij <triad@df.lth.se> 1.6-1
- New upstream version.

* Fri Sep 1 2006 Linus Walleij <triad@df.lth.se> 1.5-3
- Rebuild for Fedora Extras 6.

* Wed Jul 26 2006 Linus Walleij <triad@df.lth.se> 1.5-2
- Match upstream library bump by rebuild.

* Sat May 6 2006 Linus Walleij <triad@df.lth.se> 1.5-1
- Upstream release a new version.

* Wed Feb 1 2006 Linus Walleij <triad@df.lth.se> 1.4-4
- RM unnecessary BR, fixup CXXFLAGS.

* Tue Jan 24 2006 Linus Walleij <triad@df.lth.se> 1.4-3
- Download address.

* Mon Jan 23 2006 Linus Walleij <triad@df.lth.se> 1.4-2
- Happy dist-tag.

* Sun Jan 15 2006 Linus Walleij <triad@df.lth.se> 1.4-1
- First try at an AdPlay RPM.
